﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDesignPatterns
{
    class DVDDevice:IAudioVideoDevice
    {
        #region IAudioVideoDevice Members

        public IAudioDevice GetAudioDevice()
        {
            return new DVDAudio();
        }

        public IVideoDevice GetVideoDevice()
        {
            return new DVDVideo();
        }

        #endregion
    }
}
