﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDesignPatterns
{
    class AbstractFactory
    {
        public static IAudioVideoDevice Create( string deviceName)
        {
            switch (deviceName.ToLower())
            {
                case "CD":
                    return new  CDDevice();
                case "dvd":
                    return new DVDDevice();
                default:
                      return new CDDevice();
            }
        }
    }
}
