﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDesignPatterns
{
    class CDDevice:IAudioVideoDevice
    {
        #region IAudioVideoDevice Members

        public IAudioDevice GetAudioDevice()
        {
            return new CDAudio();
        }

        public IVideoDevice GetVideoDevice()
        {
            return new CDVideo();
        }

        #endregion
    }
}
