﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDesignPatterns
{
    class Program
    {
        static void Main(string[] args)
        {
            string deviceName;
            deviceName = Console.ReadLine();

            IAudioVideoDevice device = AbstractFactory.Create(deviceName);

            Console.WriteLine(device.GetAudioDevice().GetAudioDeviceName());
            Console.WriteLine(device.GetVideoDevice().GetVideoDeviceName());

            Console.ReadKey();

        }
    }
}
